import { computed } from "vue"
import { format, addDays } from 'date-fns';
export function computedCurrentLogOverTime() {
  /**
   * 延期处理-展示
   */
  const currentLogOverTime = computed(() => {
    return function(currentLog){
      return currentLog.extra1DTO.name + format(addDays(new Date(currentLog.startTime), +currentLog.extra2), 'MM月dd日前完成');
    }
  })

  return {
    currentLogOverTime
  };
}